%%textdomain mdview

This document contains list of all supported features.

------------------------------------------------------

%%nopot yes
**%%textdomain** domain

%%nopot no

The above line should be invisible, it sets the translation domain
for use with this document (no-standard).

# Heading 1

This is also heading 1
===

## Heading 2

This is also heading 2
---

### Heading 3

This is a ruler

---

This one too

***

Bullets (only unordered supported for now)

%%nopot yes

 * a
 * b
 * c
 
%%nopot no

Codeblocks (4 spaces or tabs preceded everyline):
    function a()
      b="*c*"
    }

GitHub code blocks (start and end with 3 backtics):
```
function a()
  b="*c*"
}
```

GitHub code blocks with syntax tag (append tag name immediately after opening backticks):
```sh
export DIALOG="<widget></widget>"
```

GitHub code block magic syntax tag 'gettext'
* Contents can be extracted with option --po
* Unlike other types of code blocks contents are translated:
```gettext
mdview --po will not output this line unless it's wrapped between "```gettext" and "```".
```

### Inline styles

*italic1*, _italic2_, **bold1**, __bold2__, `inline code`, and `inline code again`, then
**_bold-italic1_**, __*bold-italic2*__, and
"Smart double-quoting", 'smart single-quoting', em-dash: -- .

We also have non-standard ---strikethrough---.

Links:
* [Link to another file](file.md)
* [HTTP link to google](http://www.google.com) "Google Search"
* [HTTPS link to google](https://www.google.com)
* This is not a link: http://www.google.com
* This is not a link: https://www.google.com

Inline image support: ![Tux](linux3.png)

(image path is always relative to document directory)

If you use the -x option, executable code is supported: $(echo '$LANG') is $(echo $LANG).
[Quoting-test for exec mode](quote-test.md).

**The End**

---

## Appendix: About translations

Default is create translation for **entire line** which can be a very long line (a paragraph <p> in terms of markup).

### No ---Translation---

A line starting with **tab** or **4 spaces** is NOT translated.

Text inside a GitHub code block **three backticks** is NOT translated unless 'gettext' is appended to the opening backticks.

If you have a line which must **not** be translated (always code, maybe a name, parameter, etc) mark the line by %%nopot tags (nopot yes and nopot no) :

%%nopot yes

**%%nopot** yes

Let these English lines stay English only.

Nothing inside these tags will go into translation file.

**%%nopot** no

%%nopot no
